#include <iostream>
#include <cmath>

#include "imagesource.h"
#include "imagesource_util.h"
#include "tiffsaver.h"

#include "imagesource_dotscreen.h"

using namespace std;


int main(int argc,char** argv)
{
	ScreenParam params[]=
	{
		ScreenParam(15,33),
		ScreenParam(75,33),
		ScreenParam(0,33),
		ScreenParam(45,33),
	};

	if(argc>2)
	{
		ImageSource *is=ISLoadImage(argv[1]);
		is=new ImageSource_DotScreen(is,params);
		TIFFSaver saver(argv[2],ImageSource_rp(is));
		saver.Save();
	}
	return(0);
}

