#ifndef STEPWIDGET_DROPSIZELIMIT
#define STEPWIDGET_DROPSIZELIMIT

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_DropSizeInkLimit : public StepWidget
{
	public:
	StepWidget_DropSizeInkLimit(ProjectGUI *gui);
	protected:
	virtual const char *GetDirections();
	void SaveChanges();
	void Print();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	protected:
	DropSize_Colorants colorants;
	GtkWidget *papersize;
	GtkWidget *topedge;
	GtkWidget *density[3];
	GtkWidget *colorantsel;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(DropSizeInkLimit);

#endif

