#ifndef STEPWIDGET_PRINTCHARTS
#define STEPWIDGET_PRINTCHARTS

#include <gtk/gtk.h>

#include "ticgats.h"
#include "argyll_testchartgenerator.h"

#include "projectgui.h"

// Chart printing "step"

class StepWidget_PrintCharts : public StepWidget
{
	public:
	StepWidget_PrintCharts(ProjectGUI *gui);
	~StepWidget_PrintCharts();
	virtual const char *GetDirections();
	protected:
	void DisplayChart();
	void PrintChart();
	static gboolean populate(gpointer ud);
	static void imagechanged(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	GPColorantList colorants;
	TIXFile *ti1;
	Argyll_TestChart_TIFFs *tiffs;
	GtkWidget *pview;
	GtkWidget *imageselector;
};

//	Creator subclass for GUI
DEFINE_GUI_STEP(PrintCharts);

#endif

