#ifndef STEPWIDGET_PRINTDROPSIZECHARTS
#define STEPWIDGET_PRINTDROPSIZECHARTS

#include <gtk/gtk.h>

#include "ticgats.h"
#include "argyll_testchartgenerator.h"

#include "projectgui.h"

// Chart printing "step"

class StepWidget_PrintDropSizeChart : public StepWidget
{
	public:
	StepWidget_PrintDropSizeChart(ProjectGUI *gui);
	~StepWidget_PrintDropSizeChart();
	virtual const char *GetDirections();
	protected:
	void DisplayChart();
	void PrintChart();
	static gboolean populate(gpointer ud);
	static void imagechanged(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	DropSize_Colorants colorants;
	TIXFile *ti1;
	Argyll_TestChart_TIFFs *tiffs;
	GtkWidget *pview;
	GtkWidget *imageselector;
};

//	Creator subclass for GUI
DEFINE_GUI_STEP(PrintDropSizeChart);

#endif

