#include <gtk/gtk.h>
#include "config.h"
#include "argyll_support.h"
#include "argyll_uisupport.h"

void ArgyllUISupport::AddInstrumentComboOpts(SimpleComboOptions &opts)
{
	int inst=ArgyllSupport::GetSupportedInstrumentCount();
	for(int i=0;i<inst;++i)
	{
		opts.Add(ArgyllSupport::GetInstrumentName(i),ArgyllSupport::GetInstrumentDescription(i));
	}
}


SimpleComboOptions *ArgyllUISupport::GetInstrumentComboOpts()
{
	SimpleComboOptions *result=new SimpleComboOptions();
	AddInstrumentComboOpts(*result);
	return(result);
}

