#ifndef LABINTERP_H
#define LABINTERP_H

#include "1dinterp.h"
#include "ciesupport.h"

class ChannelResponseSample;
class Interpolate_Lab
{
	public:
	Interpolate_Lab();
	~Interpolate_Lab();
	void Populate(int count,ChannelResponseSample *samples,double smoothing=0.001);
	double ReverseInterpolate_L(double L);
	double ReverseInterpolate_a(double a);
	double ReverseInterpolate_b(double b);
	LabValue operator[](double in);
	protected:
	Interpolate_1D Lcurve;
	Interpolate_1D acurve;
	Interpolate_1D bcurve;
};

#endif

