#ifndef STEPWIDGET_CHANNELINKLIMITS
#define STEPWIDGET_CHANNELINKLIMITS

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "channelresponse.h"
#include "projectgui.h"


class InkLimit_Payload;

class StepWidget_ChannelInkLimits : public StepWidget
{
	public:
	StepWidget_ChannelInkLimits(ProjectGUI *gui);
	~StepWidget_ChannelInkLimits();
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void defaultinklimits(GtkWidget *wid,gpointer data);
	protected:
	RawChannelResponses *chans;
	GtkWidget *notebook;
	InkLimit_Payload *channel_payloads[LINEARIZATION_MAX_CHANNELS];
	friend class InkLimit_Payload;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(ChannelInkLimits);

#endif

