#ifndef STEPWIDGET_DROPSIZERATIOS
#define STEPWIDGET_DROPSIZERATIOS

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "channelresponse.h"
#include "projectgui.h"


class DropSizeRatios_Payload;

class StepWidget_DropSizeRatios : public StepWidget
{
	public:
	StepWidget_DropSizeRatios(ProjectGUI *gui);
	~StepWidget_DropSizeRatios();
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	static void markmodified(GtkWidget *wid,gpointer data);
	protected:
	RawChannelResponses *chans;
	GtkWidget *notebook;
	GtkWidget *table;
	GtkWidget *status;
	DropSizeRatios_Payload *payload;
	friend class DropSizeRatios_Payload;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(DropSizeRatios);

#endif

