#ifndef STEPWIDGET_GENDROPSIZECHART
#define STEPWIDGET_GENDROPSIZECHART

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_GenerateDropSizeChart : public StepWidget
{
	public:
	StepWidget_GenerateDropSizeChart(ProjectGUI *gui);
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	void CreateChart();
	void CreateThumbnails();
	static void markmodified(GtkWidget *wid,gpointer data);
	protected:
	DropSize_Colorants colorants;
	GtkWidget *papersize;
	GtkWidget *instrument;
	SimpleComboOption *comboopts;
	GtkWidget *colorantsel;
};

//	Creator subclass for GUI
DEFINE_GUI_STEP(GenerateDropSizeChart);

#endif

