#ifndef STEPWIDGET_SUBCHANNEL
#define STEPWIDGET_SUBCHANNEL

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "channelresponse.h"
#include "projectgui.h"


class SubChannel_Payload;

class StepWidget_SubChannel : public StepWidget
{
	public:
	StepWidget_SubChannel(ProjectGUI *gui);
	~StepWidget_SubChannel();
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void paint_input_vs_subchannel_ratio(GtkWidget *widget,GdkEventExpose *eev,gpointer userdata);
	static void paint_input_vs_dLbydi(GtkWidget *widget,GdkEventExpose *eev,gpointer userdata);
	protected:
	RawChannelResponses *chans;
	GtkWidget *notebook;
	GtkWidget *table;
	SubChannel_Payload *payload;
	char *labeltext;
	friend class SubChannel_Payload;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(SubChannel);

#endif

