#ifndef STEPWIDGET_TOTALINKLIMIT
#define STEPWIDGET_TOTALINKLIMIT

#include <gtk/gtk.h>

#include "miscwidgets/simplecombo.h"

#include "gpdevicensupport.h"
#include "projectgui.h"


class StepWidget_TotalInkLimit : public StepWidget
{
	public:
	StepWidget_TotalInkLimit(ProjectGUI *gui);
	virtual const char *GetDirections();
	protected:
	void SaveChanges();
	void Print();
	static void markmodified(GtkWidget *wid,gpointer data);
	static void printclicked(GtkWidget *wid,gpointer data);
	protected:
	GPColorantList colorants;
	GtkWidget *papersize;
	GtkWidget *topedge;
	GtkWidget *maxinklimit;
	GtkWidget *colorantsel;
	GtkWidget *newinklimit;
};


//	Creator subclass for GUI
DEFINE_GUI_STEP(TotalInkLimit);

#endif

