#ifndef TUNING_H
#define TUNING_H

#include <gutenprint/gutenprint.h>
#include "gpdevicensupport.h"
#include "support/configdb.h"

class Tuning : public ConfigDB
{
	public:
	Tuning(ConfigFile *file);
	virtual ~Tuning();
	void DropSizeLimitToDB(int chan,float droplimit);
	float DropSizeLimitFromDB(int chan);
	void DropSizeRatioToDB(int chan,float dropratio);
	float DropSizeRatioFromDB(int chan);
	protected:	
	static ConfigTemplate Template[];
};


class GPrinterSettings;
class DropSize_Colorants : public GPColorantList
{
	public:
	DropSize_Colorants(stp_vars_t *vars);
	DropSize_Colorants(GPrinterSettings *gp);
	virtual ~DropSize_Colorants();
	protected:
	virtual void BuildList(stp_vars_t *vars);
};


#endif

